package org.jeecg.modules.ctop.service;

import com.alibaba.fastjson.JSONArray;
import io.swagger.models.auth.In;
import org.jeecg.modules.ctop.entity.FileInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @Description: 文件信息
 * @Author: jeecg-boot
 * @Date: 2019-07-28
 * @Version: V1.0
 */
public interface IFileInfoService extends IService<FileInfo> {

    Map<String, Object> uploadVideoToBytedance(String accountId, String videoUrl);

    Map<String, Object> upload3ImagesToBytedance(String accountId, String imageFileUrls);

    Map<String, Object> uploadImageToBytedance(String accountId, String imageFileId);

    Map<String, Object> getIndustryList(String accountId, Integer level);

    JSONArray getByteDanceIndustryList(HttpServletRequest req);

    List<FileInfo> getFileInfoByMd5(String md5);
}
